Check out the LimeSurvey source code on GitHub!

inline HTML editor not available after upgrade1.90

More
6 years 5 months ago #49147 by vbraque
Hi there.
I've just upgrade to 1.90+ from 1.90RC2 with no problems.
After that, I notice the inline html editor is not available in every place it was before (edit question texts, invitation mail, etc...) so html tags appear in textboxes (not very friendly for non-experienced users).
I've taken a look to global settings but it's set in the correct mode. I've also revised config files.

¿ANY SUGGESTION?

Thanks!

Please Log in to join the conversation.

More
6 years 5 months ago #49156 by Mazi
1. Try to re-upload all files in binary mode if you updated by copying the files to your server.

2. Please switch on debug mode by adding the following line to your config.php file:
$debug = '1';

Are there any additional errors reported on top of the page?


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 5 months ago #49161 by vbraque
Hi Mazi

I've been reading the forums before start a new thead, so I've been testing some ideas.

1. Files already re-uploaded in binary mode and it doesn't works.
2. Debug mode on with no aditional messages on screen

Please Log in to join the conversation.

More
6 years 5 months ago #49171 by Mazi
Is the editor not available at all or is it only missing at certain places (if so, where?)?

Can you post a screen shot?


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 5 months ago #49181 by DenisChenu
vbraque wrote:

I've just upgrade to 1.90+ from 1.90RC2 with no problems.

RC2 is a old release, and it's unstable.

1.90+ is the latest version . Why did you downgrade ?

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).

Please Log in to join the conversation.

More
6 years 5 months ago #49200 by Mazi
Shnoulle wrote:

vbraque wrote:

I've just upgrade to 1.90+ from 1.90RC2 with no problems.

RC2 is a old release, and it's unstable.

1.90+ is the latest version . Why did you downgrade ?

You can't downgrade. I think you misunderstood his posting which staed that he updated to 1.90 from the older 1.90RC2.


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 5 months ago #49208 by vbraque
That's it!.

The problem is about 1.90+, our current version.
Everything was fine in 1.90RC2.

Let me prepare a few screenshots and I'll asap.

Please Log in to join the conversation.

More
6 years 5 months ago - 6 years 5 months ago #49209 by vbraque
It seems fck editor toolbar is not visible on every page where a text area can be edited. So html text (with tags) is shown.

Some samples in the attatched files.







Last Edit: 6 years 5 months ago by vbraque.

Please Log in to join the conversation.

More
6 years 5 months ago - 6 years 5 months ago #49234 by Mazi
When using firefox, are there any errors shown at the error console?

Did you edit the config-defaults.php file?

Did you add any further settings to config.php?


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"
Last Edit: 6 years 5 months ago by Mazi.

Please Log in to join the conversation.

More
6 years 5 months ago - 6 years 5 months ago #49250 by vbraque
No error messages are shown in Firefox, even with debug mode active. The same behavior (no fcktoolbar is shown).

Original config.php and config_defaults.php from 1.90+ have been overwriten from the same files from 1.90RC2. In fact, these files are systematically overwriten since v1.87 or before. We've only modified the typical variables (db password, etc...).

Variables may affect to fckeditor, in config_defaults.php has never been modified, and they are currently set to the original values. That's it...

$homeurl = "$rooturl/admin";
$fckeditordir = "$homeurl/scripts/fckeditor.266";
$fckeditexpandtoolbar = true;

One time we obtain a message error accesing .../admin/scripts/fckeditor.266/fckstyles.xml (no access privilegies). But we can't get this error again.
We've tested fckeditor distribution is correctly installed on the server and accesible, like other versions before, just try

encuestas.upv.es/admin/scripts/fckeditor.266/fckstyles.xml

We've also installed another 1.90+ from scratch on another server and the problem persists (no fckeditor toolbar is shown). I can provide access and admin password to this new instalation if you want to test anything online.

Attachments:
Last Edit: 6 years 5 months ago by vbraque.

Please Log in to join the conversation.

More
6 years 5 months ago #49261 by Mazi
Really strange...

Please upload a phpinfo file so we can take a look at your server configuration. Just put the following code into a file named phpinfo.php and upload it to your webserver:
< ?php phpinfo(); ? >
(Delete the spaces next to </> when copying the code.)
After uploading please post the link to the file.


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 5 months ago #49280 by vbraque
Test yourself:

encuestas.webs.upv.es/limesurvey190p/phpinfo.php

This is a new installation of 1.90+

Would you like admin password (by private mail)?

Please Log in to join the conversation.

More
6 years 5 months ago #49281 by vbraque
Sorry three details:
- On the same server, v1.87 is installed with no problems
- No changes have been made since the upgrade (mysql, php, etc...)
- In this server, v1.90RC2 worked fine until last week

Please Log in to join the conversation.

More
6 years 5 months ago #49283 by Mazi
Sorry, I can't help, I'm out of ideas and that doesn't happen very often.

You can either ask one of our programmers for advanced (paid) support to solve this or try to set it up on a different server.

Sometimes updating PHP/Apache helps, but that is just a rough guess.


Best regards/Beste Grüße,
Dr. Marcel Minke
(Limesurvey Head of Support)
Need Help? We offer professional Limesurvey support
Contact: marcel.minke(at)survey-consulting.com'"

Please Log in to join the conversation.

More
6 years 5 months ago - 6 years 5 months ago #49329 by DenisChenu
Just a little idea.

Maybe it's due to js cache. Goes to your homepage (not LS) , delete all cache and test again.

Can you test with chrome/chromium ?

PS : another idea : can you try with web developper tool bar. If the littke icon at right is red, then it can be a javascript error.
Can you test in English langage ?

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
Last Edit: 6 years 5 months ago by DenisChenu.

Please Log in to join the conversation.

Imprint                   Privacy policy         General Terms & Conditions         Revocation information and revocation form